<div class="settings-form">
    <%= form_for @changeset, @action, fn f -> %>
    <h1>Edit User</h1>
    <div class="form-element">
        <%= error_tag f, :username %>
        <%= text_input f, :username %>
        <%= label f, :username %>
    </div>
    <div class="form-element">
        <%= error_tag f, :email %>
        <%= email_input f, :email %>
        <%= label f, :email %>
    </div>
    <div class="form-element">
        <%= error_tag f, :role_id %>
        <%= select f, :role_id, Enum.map(@roles, &{&1.name, &1.id})%>
        <%= label f, :role_id %>
    </div>
    <div class="form-buttons">
        <a href="<%= Routes.settings_path(@conn, :index) %>" class="form-buttons-cancel">Cancel</a>
        <%= submit "Save" %>
    </div>
    <% end %>
</div>
